%define current_version 7.0.90

%define lib_include_path prlcommon

Summary: Common Virtuozzo libraries
Name: libprlcommon
Version: %{current_version}
Release:        1%{?dist}

Group: Development/Libraries
License: LGPLv2.1
Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: qt4-devel
BuildRequires: libprlsdk-headers
BuildRequires: openssl-devel
BuildRequires: boost-devel
BuildRequires: ploop-devel
BuildRequires: libarchive-devel
ExclusiveArch: x86_64


%description
A set of common libraries and headers for Virtuozzo middleware components.

%package devel
Summary: Libraries, includes to compile with the Virtuozzo common libraries.
Group: Development/Libraries
License: LGPLv2.1
Requires: %{name} = %{version}-%{release}
Requires: libprlsdk-headers
Requires: libarchive-devel

%description devel
Include header files & development libraries for the Virtuozzo common libraries.

%prep
%setup -q


%build
export PREFIX=%{buildroot}/%{_usr}
qmake-qt4
make %{?_smp_mflags} release

%install
rm -rf %{buildroot}
make install

%check
cd Tests
qmake-qt4
make check

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/%{name}.so
%dir %{_includedir}/%{lib_include_path}
%{_includedir}/%{lib_include_path}/*

%changelog
* Mon Jan 23 2017 Sergey Galas' <shrike@virtuozzo.com> 7.0.90
 - Container reinstall #PSBM-58698 (Igor Sukhih <igor@virtuozzo.com>)

* Thu Dec 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.89
 - rollback changes from the previous patch (Sergey Galas
<shrike@virtuozzo.com>)

* Thu Dec 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.88
 - temporary comment a line with a circular dependency on libprlsdk (Sergey
Galas <shrike@virtuozzo.com>)
 - define dispatcher command for requesting vccmd config (PSBM-55022) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)
 - add vcmmd specific fields for DspCmdStorageSetValue command (PSBM-55022)
(Pavel Ganyushin <pganyushin@virtuozzo.com>)

* Thu Dec 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.87
 - define dispatcher command for requesting vccmd config (PSBM-55022) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)
 - add vcmmd specific fields for DspCmdStorageSetValue command (PSBM-55022)
(Pavel Ganyushin <pganyushin@virtuozzo.com>)

* Thu Dec 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.86
 - define dispatcher command for requesting vccmd config (PSBM-55022) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)
 - add vcmmd specific fields for DspCmdStorageSetValue command (PSBM-55022)
(Pavel Ganyushin <pganyushin@virtuozzo.com>)

* Tue Dec 20 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.85
 - Add short win2016 name (Alexander Burluka <aburluka@virtuozzo.com>) (#PSBM-55168)

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.84-2
- Rebuild in 7.3 environment

* Tue Dec 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.84
 - Log client address:port in IOCommunication (PSBM-50806) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Mon Dec 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.83
 - simplify LoginLocal protocol (PSBM-52204) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - prevent DoS using login local unix socket (PSBM-52204) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)
 - get user credentials from unix socket (PSBM-52204) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Mon Dec 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.82
 - Add explicit CloudLinux support (#PSBM-51659) (Denis Silakov
<dsilakov@virtuozzo.com>)

* Mon Dec 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.81
 - ParseIps: support ipv6 address with long netmask (PSBM-53561) (Pavel
Ganyushin <pganyushin@virtuozzo.com>)

* Thu Sep 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.78
 - Introduce limit of continuos crashes constant (PSBM-51080) (Pavel Ganyushin
<pganyushin@virtuozzo.com>)

* Tue Sep 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.77
 - Introduce an ability to specify existing server socket for qemu-nbd (Dmitry
Mishin <dim@virtuozzo.com>) (#PSBM-51946)

* Thu Sep 15 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.76
 - Handle DspCmdVmCommitEncryption command (PSBM-51076) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Thu Sep 08 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.75
 - Add a new command for VM's screenshot capture (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-50870)
 - Add DspCmdVmCommitEncryption command (PSBM-51076) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Sep 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.74
 - Fix waiting for qemu-nbd process start without device (PSBM-51766) (Igor
Bazhitov <ibazhitov@virtuozzo.com>)

* Mon Sep 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.73
 - Fixed references in headers

* Mon Sep 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.72
 - Fixed headers paths
 - Removed dependency at libprlxmlmodel

* Mon Sep 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.71
 - Fixed tests compilation
 - Refactor: move CVmEvent*, BaseNode and ProtoSerializer to prlcommon
 - Wait until nbd device is ready before returning from Qemu::setImage()
(PSBM-51427) (Igor Bazhitov <ibazhitov@virtuozzo.com>)
 - Fix qemu warning about incorrect aio mode specified

* Tue Aug 30 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.69
 - Wait until nbd device is ready before returning from Qemu::setImage()
(PSBM-51427) (Igor Bazhitov <ibazhitov@virtuozzo.com>)

* Thu Aug 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.68
 - Rename directory for coredumps #PSBM-50823 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Aug 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.67
 - Break a circular dependency, depend on a headers package only

* Thu Aug 11 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.66
 - Disp-to-disp commands for remote restore PSBM-50512 (Dmitry Mishin
<dim@virtuozzo.com>)

* Wed Aug 10 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.65
 - Support PRL_DISK_FAKE_OPEN flag for Qcow VirtualDisk (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Aug 10 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.64
 - bug #PSBM-49469 aka PrlSDK excess and strange usage of /dev/urandom (Sergey
Galas <shrike@virtuozzo.com>)

* Fri Jul 29 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.63
 - Check log file fd before closing it (PSBM-49966) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Change log file permissions to 0600 (PSBM-49966) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)
 - Change default log folder to $HOME/.vz (PSBM-49966) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Wed Jul 27 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.62
 - Add libarchive-devel to devel's requirements list #PSBM-48887 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Wed Jul 27 2016 Dmitry Andreev <dandreev@virtuozzo.com> 7.0.61-2
 - Add libarchive-devel to the devel's requirements list (PSBM-48887)
(Dmitry Andreev <dandreev@virtuozzo.com>)

* Tue Jul 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.61
 - Add replacement for libtar+zlib forks #PSBM-48887 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Add libarchive to the requirements list #PSBM-48887 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jul 26 2016 Dmitry Andreev <dandreev@virtuozzo.com> 7.0.60-2
 - Add libarchive to the requirements list (PSBM-48887) (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jul 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.60
 - Add replacement for libtar+zlib forks #PSBM-48887 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Fri Jul 15 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.59
 - Add policy to set caching mode for nbd #PSBM-49709 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Thu Jul 07 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.58
 - bug #PSBM-49411 aka start_static_sock_opts00 ERROR: prlctl returned 255
(Sergey Galas <shrike@virtuozzo.com>)

* Wed Jul 06 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.57
 - bug #PSBM-49382 aka can't clone VM located inside raid6 dir in pstorage
cluster (Sergey Galas <shrike@virtuozzo.com>)

* Tue Jun 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.56
 - Add support for opening images in compressed mode, #PSBM-48900 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)

* Sat Jun 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.55
 - Remove ParallelsDirs::isServerMode[PSBM] (PSBM-48870) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Fri Jun 24 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.54
 - Get rid of old disk encryption interface (PSBM-48677) (Igor Bazhitov
<ibazhitov@virtuozzo.com>)

* Tue Jun 21 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.53
 - coverity-125345 Out-of-bounds access (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Jun 07 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.52
 - Define new event parameter for CreateVmBackup command PSBM-47796

* Fri Jun 03 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.51
 - Accept list of args as an argument for RunCmdLineUtility #PSBM-44576 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon May 30 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.49
 - Add support for new dispatched command consts (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47369)

* Sat May 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.48
 - Add new dispatcher commands consts (Alexander Burluka
<aburluka@virtuozzo.com>) (#PSBM-47369)

* Tue May 24 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.47
 - Rename pstorage -> vstorage #PSBM-47478 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon May 23 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.46
 - Allow nbd server via tcp/unix instead of device, #PSBM-44473 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Small refactoring, #PSBM-44473 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Tue May 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.45
 - Changed ExecHandlerBase interface to provide getStderr() #PSBM-46768 (Yuriy
Pudgorodskiy <yur@virtuozzo.com>)

* Mon May 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.44
 - Forbid image creation w/o policies. (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat May 14 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.43
 - Add qcow2-specific policies to create(), #PSBM-41873 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri May 13 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.42
 - Corrected path to CVmEvent.h

* Wed May 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.41
 - Introduce new dispatcher command for Vm restoration from backups (#PSBM-44441)

* Thu May 05 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.40
 - Skip zero blocks on write, #PSBM-46772 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Fix pstorage client lib so file name #PSBM-46728 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Apr 26 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.39
 - New client type for PCS6->Vz7 VmMigrateTargetServer #PSBM-40857 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.38
 - Added explicit support for Virtuozzo Linux (recognize new
PVS_GUEST_VER_LIN_VZLINUX* constants) (Denis Silakov <dsilakov@gmail.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.37
 - Added explicit support for Virtuozzo Linux (recognize new
PVS_GUEST_VER_LIN_VZLINUX* constants) (Denis Silakov <dsilakov@gmail.com>)

* Mon Apr 25 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.36
 - Added explicit support for Virtuozzo Linux (recognize new
PVS_GUEST_VER_LIN_VZLINUX* constants) (Denis Silakov <dsilakov@gmail.com>)

* Mon Apr 25 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.35
 - Add function to parse NUMA node mask. #PSBM-39268 (Alexander Pisarev
<apisarev@virtuozzo.com>)

* Tue Apr 19 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.34
 - Wait for qemu-nbd to exit on disconnect, #PSBM-46280 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Thu Apr 14 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.33
 - Return removed disp to disp command ids for compatibility #PSBM-40857 (Dmitry
Andreev <dandreev@virtuozzo.com>)

* Thu Apr 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.32
 - Add support for disk open policy, #PSBM-45641 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Wed Apr 13 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.31
 - Remove obsoleted information from log heading
 - Move configuration files to vz directory (#PSBM-45125)
 - Rename default log path to reflect components rename PSBM-45125

* Wed Apr 13 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.30
 - Remove obsoleted information from log heading (Dmitry Mishin
<dim@virtuozzo.com>)
 - Move configuration files to vz directory (Dmitry Mishin <dim@virtuozzo.com>) (#PSBM-45125)
 - Rename default log path to reflect components rename PSBM-45125 (Dmitry
Mishin <dim@virtuozzo.com>)

* Tue Apr 12 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.29
 - Use qemu-img to check image format, #PSBM-46090 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Fri Apr 08 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.28
 - Add format check in qcow2 open, #PSBM-43732 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - new event parameter was added event parameter representing atomic edit of
VM's cpu features mask in config was added PSBM-39894 (imoiseev
<imoiseev@virtuozzo.com>)

* Thu Apr 07 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.27
 - Add EVT_PARAM_MIGRATE_CMD_BUNDLE_NAME param type #PSBM-17943 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Tue Apr 05 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.26
 - Added a function for QCOW format validation (Dmitry Mishin
<dim@virtuozzo.com>) (#PSBM-43732)
 - Add BACKUP_PROTO_V4 to process pcs6->vz7 restore, #PSBM-44123 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Fix timeout, #PSBM-44036 (Maxim Perevedentsev <mperevedentsev@virtuozzo.com>)

* Mon Mar 28 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.25
 - Restore accidentally removed hunk with low_security support (Dmitry Mishin
<dim@virtuozzo.com>)

* Fri Mar 18 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.24
 - add Ploop::create() functionality (Igor Sukhih <igor@parallels.com>)
 - add Ploop::getInfo() functionality (Igor Sukhih <igor@parallels.com>)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.23
 - compilation is fixed (Sergey Galas <shrike@virtuozzo.com>)
 - Add branching qcow2/ploop, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement VirtualDisk functionality for qcow2, #PSBM-44036 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start building VirtualDisk, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - libprlxmlmodel-devel build dependency (Sergey Galas <shrike@virtuozzo.com>)
 - build requires libploop-devel (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.22
 - Add branching qcow2/ploop, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement VirtualDisk functionality for qcow2, #PSBM-44036 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start building VirtualDisk, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - build requires libploop-devel (Sergey Galas <shrike@virtuozzo.com>)

* Thu Mar 17 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.21
 - Add branching qcow2/ploop, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Implement VirtualDisk functionality for qcow2, #PSBM-44036 (Maxim
Perevedentsev <mperevedentsev@virtuozzo.com>)
 - Start building VirtualDisk, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Wed Mar 16 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.20
 - PloopDisk.cpp remove libploop.so dependency ##PSBM-44035 (Igor Sukhih
<igor@parallels.com>)
 - Fix VirtualDisk .pro files, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - Add getInfo() to VirtualDisk interface, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)
 - VirtualDisk: add ploop interface open/read/write #PSBM-44035 (Igor Sukhih
<igor@parallels.com>)

* Mon Mar 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.19
 - Fix IO::File in VirtualDisk, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Mar 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.18
 - Add fd wrapper to VirtualDisk util, #PSBM-44036 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Mon Mar 14 2016 Sergey Galas' <shrike@virtuozzo.com> 7.0.17
 - add VirtualDisk skeleton #PSBM-44035 (Igor Sukhih <igor@parallels.com>)

* Mon Feb 29 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.16
 - Add ParallelsDispToDispProto.h from prl-disp-service (Igor Bazhitov
   <ibazhitov@virtuozzo.com>)

* Sat Feb 27 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.15
 - Update default windows version to the current server edition PSBM-44359

* Fri Feb 26 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.13
 - Add TCP and UDP emulation modes for serial device #PSBM-43039 (Dmitry Andreev
<dandreev@virtuozzo.com>)
 - Update migration protocol version #PSBM-40857 (Dmitry Andreev
<dandreev@virtuozzo.com>)

* Mon Feb 22 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.12
 - Remove QtGui and QtXml from dependencies, #PSBM-42417 (Maxim Perevedentsev
<mperevedentsev@virtuozzo.com>)

* Sat Feb 20 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.11
 - backup related commands (Sergey Galas <shrike@odin.com>)

* Thu Jan 21 2016 Sergey Galas' <shrike@odin.com> 7.0.10
 - Fixed runtime exception for Expected variant type conversion For #PSBM-43042
refactoring (Yuri Pudgorodskiy <yur@virtuozzo.com>)

* Thu Jan 21 2016 Sergey Galas' <shrike@odin.com> 7.0.9
 - Allow type conversion for Prl::Expected with different Error part For
\#PSBM-43042 refactoring (Yuri Pudgorodskiy <yur@virtuozzo.com>)
 - Remove cloud-config routines to dispatcher (Alexander Burluka
<aburluka@virtuozzo.com>)

* Mon Jan 11 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.7
 - Remove dispatcher's only header
 - Misc fixes for Virtuozzo SDK compilation with libprlcommon interfaces

* Fri Jan 08 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.6
 - Added build instructions
 - Make an ability to build with SDK headers at non-standard placement
 - Fixed 'array-bounds' compilation warnings
 - README: Fix word ordering
 - gen_uuid.c: s/_SVID_SOURCE/_DEFAULT_SOURCE/

* Tue Dec 29 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.5
 - Virtio-scsi is now default for Windows VM (#PSBM-39969 #PSBM-39966)

* Mon Dec 28 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.4
 - Added prlcommon libraries tests from prl-disp-service repository
 - Fix qmake projects for future Tests linking

* Mon Dec 28 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.3
 - Fixed library use as an external library
 - Added a number of Std headers from prl-disp-service repository
 - Added versioning to the library

* Fri Dec 25 2015 Dmitry Mishin <dim@virtuozzo.com> 7.0.2
 - Initial commit

